Rated 5 out of 5 stars

5.0.9 is not compatible with FF7. 5 stas though!

This review is for a previous version of the add-on (5.0.9).